%define api_ver		6
%define major		3

%define libname		%mklibname gedit-tepl %{api_ver} %{major}
%define girname		%mklibname gedit-tepl-gir %{api_ver}
%define devname		%mklibname gedit-tepl %{api_ver} -d

Name:		libgedit-tepl
Version:	6.13.0
Release:	%mkrel 1
Summary:	Library that eases the development of text editors and IDEs based on GTK
Group:		Graphical desktop/GNOME
License:	LGPL-3.0-or-later
URL:		https://gitlab.gnome.org/World/gedit/libgedit-tepl
Source0:	https://gitlab.gnome.org/World/gedit/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
#Source1:	https://download.gnome.org/sources/libgedit-tepl/%%{url_ver}/%%{name}-%%{version}.sha256sum
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgedit-gtksourceview-300)
BuildRequires:	pkgconfig(libgedit-amtk-5)
BuildRequires:	pkgconfig(libgedit-gfls-1)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(libhandy-1)

Provides:	tepl = %{version}-%{release}
Obsoletes:	tepl < 6.9.0-2

%description
libgedit-tepl is a library that eases the development of
GtkSourceView-based text editors and IDEs. Tepl is the
acronym for “Text editor product line”.

libgedit-tepl is part of [Gedit Technology](https://gedit-technology.github.io/).

%package -n %{libname}
Summary:	Library that eases the development of text editors and IDEs based on GTK
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description	-n %{libname}
libgedit-tepl is a library that eases the development of
GtkSourceView-based text editors and IDEs. Tepl is the
acronym for “Text editor product line”.

libgedit-tepl is part of [Gedit Technology](https://gedit-technology.github.io/).

%package	-n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

Obsoletes:	%{_lib}tepl-gir6 < 6.9.0-2

%description	-n %{girname}
GObject Introspection interface description for %{name}.

%package	-n %{devname}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gedit-tepl-devel = %{version}-%{release}
Provides:	tepl-devel = %{version}-%{release}
Obsoletes:	%{_lib}tepl6-devel < 6.9.0-2

%description	-n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}-%{api_ver}

%files -f %{name}-%{api_ver}.lang
%doc NEWS README.md
%license LICENSES/*

%files -n %{libname}
%license LICENSES/*
%{_libdir}/libgedit-tepl-%{api_ver}.so.%{major}{,.*}

%files -n %{girname}
%license LICENSES/*
%{_libdir}/girepository-1.0/Tepl-%{api_ver}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/libgedit-tepl-%{api_ver}/
%{_includedir}/libgedit-tepl-%{api_ver}/
%{_libdir}/pkgconfig/libgedit-tepl-%{api_ver}.pc
%{_libdir}/libgedit-tepl-%{api_ver}.so
%{_datadir}/gir-1.0/Tepl-%{api_ver}.gir


%changelog
* Sat May 03 2025 daviddavid <daviddavid> 6.13.0-1.mga10
+ Revision: 2180534
- new version 6.13.0
- libmajor is now 3

* Sun Jan 12 2025 wally <wally> 6.12.0-3.mga10
+ Revision: 2138376
- rebuild for icu 76.1

* Tue Jan 07 2025 daviddavid <daviddavid> 6.12.0-2.mga10
+ Revision: 2135816
- rebuild for new libgedit-gtksourceview-300

* Sun Dec 29 2024 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2131200
- new version 6.12.0
- now libmajor is 2
+ danf <danf>
- Switch URL to https

* Wed Sep 18 2024 daviddavid <daviddavid> 6.11.0-1.mga10
+ Revision: 2098193
- new version 6.11.0

* Tue Jun 11 2024 daviddavid <daviddavid> 6.10.0-2.mga10
+ Revision: 2072696
- fix old/obseleted tepl-devel pkg name

* Mon Jun 10 2024 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2072482
- new version: 6.10.0
- obsoletes old tepl pkgs
- tepl is now part of Gedit Technology and so renamed as libgedit-tepl

* Sun Mar 17 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2050258
- new version 6.9.0

* Wed Sep 27 2023 tv <tv> 6.8.0-2.mga10
+ Revision: 1991352
- Rebuild for icu-73

* Sat Sep 02 2023 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 1983584
- new version 6.8.0
+ tv <tv>
- Fix deps

* Fri Feb 03 2023 daviddavid <daviddavid> 6.4.0-1.mga9
+ Revision: 1937794
- new version 6.4.0
- now libmajor is 2

* Sat Jan 07 2023 squidf <squidf> 6.2.0-3.mga9
+ Revision: 1931173
- Mass rebuild for icu 72.1

* Tue Dec 13 2022 tv <tv> 6.2.0-2.mga9
+ Revision: 1921678
- Rebuild for new amtk

* Fri Nov 04 2022 ghibo <ghibo> 6.2.0-1.mga9
+ Revision: 1902516
- Fix major
+ ovitters <ovitters>
- new version 6.2.0

* Tue Sep 20 2022 tv <tv> 6.1.2-1.mga9
+ Revision: 1890895
- 6.1.2

* Sat Jun 18 2022 squidf <squidf> 6.0.2-2.mga9
+ Revision: 1864907
- rebuild for icu 71.1

* Fri May 27 2022 ovitters <ovitters> 6.0.2-1.mga9
+ Revision: 1860447
- new version 6.0.2

* Mon May 02 2022 ovitters <ovitters> 6.0.1-1.mga9
+ Revision: 1855480
- new version 6.0.1

* Wed Mar 30 2022 umeabot <umeabot> 6.00.0-3.mga9
+ Revision: 1835568
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 6.00.0-2.mga9
+ Revision: 1738976
- rebuild for icu

* Thu Mar 25 2021 ovitters <ovitters> 6.00.0-1.mga9
+ Revision: 1709900
- bump api (will affect gnome-latex)
- new version 6.00.0

* Wed Dec 02 2020 luigiwalser <luigiwalser> 5.0.1-2.mga8
+ Revision: 1651610
- rebuild for icu

* Fri Nov 20 2020 ovitters <ovitters> 5.0.1-1.mga8
+ Revision: 1647949
- new version 5.0.1

* Fri Sep 11 2020 tv <tv> 5.0.0-1.mga8
+ Revision: 1624563
- 5.0.0

* Fri Sep 04 2020 ovitters <ovitters> 4.99.4-1.mga8
+ Revision: 1621699
- new version 4.99.4

* Fri Jul 03 2020 ovitters <ovitters> 4.99.3-1.mga8
+ Revision: 1601497
- new version 4.99.3

* Wed Jun 10 2020 ovitters <ovitters> 4.99.2-1.mga8
+ Revision: 1591813
- drop tests subpackage (upstream does not install them anymore)
- switch to meson
- license changed to LGPLv3+
- new version 4.99.2

* Thu Mar 05 2020 ovitters <ovitters> 4.4.0-1.mga8
+ Revision: 1553920
- new version 4.4.0

* Tue Feb 18 2020 tv <tv> 4.3.1-1.mga8
+ Revision: 1542207
- 4.3.1

* Tue Feb 18 2020 umeabot <umeabot> 4.2.1-2.mga8
+ Revision: 1538428
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 21 2019 ovitters <ovitters> 4.2.1-1.mga8
+ Revision: 1461988
- new version 4.2.1

* Sun Sep 23 2018 umeabot <umeabot> 4.2.0-3.mga7
+ Revision: 1301384
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 wally <wally> 4.2.0-2.mga7
+ Revision: 1243864
- fix lib and devel pkg names
- split out gir typelibs
- don't own system dirs

* Mon Jul 16 2018 ovitters <ovitters> 4.2.0-1.mga7
+ Revision: 1243853
- new version 4.2.0

* Thu May 10 2018 tv <tv> 4.1.1-1.mga7
+ Revision: 1228225
- new release
- requires l10n

* Thu May 10 2018 tv <tv> 3.0.0-1.mga7
+ Revision: 1228043
- imported package tepl

